#!/usr/bin/env node

/**
 * Generate docs.
 */

"use strict";

process.chdir(__dirname + '/..');

const apeTasking = require('ape-tasking'),
    coz = require('coz'),
    apemanDoc = require('apeman-doc');

apeTasking.runTasks('doc', [
    (callback) => {
        apemanDoc({
            out: 'doc/apdoc.md',
            asis: false
        }, callback);
    },
    (callback) => {
        coz.render([
            '.*.bud'
        ], callback);
    }
], true);
