## Apemanfile Configurations

 + [$pkg](#apdoc-pkg)
 + [$proto](#apdoc-proto)
 + [$tmpls](#apdoc-tmpls)
 + [$tasks](#apdoc-tasks)
 + [$wtchs](#apdoc-wtchs)
 + [$needs](#apdoc-needs)

<a name="apdoc-pkg"></a>
### $pkg

| Name | Value |
| --- | ---- |
| name | apeman-proto-app |
| version | 1.0.2 |
| description | Prototype for app project. |

<a name="apdoc-proto"></a>
### $proto

+ [apeman-proto-abstract](https://github.com/apeman-proto-labo/apeman-proto-abstract#readme)
+ [apeman-proto-wtch](https://github.com/apeman-proto-labo/apeman-proto-wtch#readme)

<a name="apdoc-tmpls"></a>
### $tmpls

| Path | Force | Mode | Tmpl | Data |
| ----  | ---- | ---- | --- | --- |
| **public/humans.txt** | false | '644' | `{{! apeman-tmpl-humans }}	/* TEAM */	...` | {"params":{},"generator":"apeman-tmpl... |
| **public/robots.txt** | false | '644' | `{{! apeman-tmpl-robot }}# robot.txt	#...` | {"params":{"disallow":["error","tmp",... |
| **routes/index.js** | false | '644' | `/**	 * Exports route modules.	 *	 * G...` | {"params":{},"generator":"apeman-tmpl... |

<a name="apdoc-tasks"></a>
### $tasks

| Name | Description |
| ----  | --- |
| **app:mkdir** | Generate directories for app. |
| **app:render** | Render bud files. |
| **wtch:list** | List available watches. |
| **wtch:start** | Start all watches. |

<a name="apdoc-wtchs"></a>
### $wtchs

| Name | Description |
| ----  | --- |
| **app:render** | {"pattern":"+(error|public|routes|test)/**/.*.bud"} |

<a name="apdoc-needs"></a>
### $needs

| Bin | How to install |
| --- | ----- |
| **apeman** | `npm install -g apeman` |

